"use strict";

Object.defineProperty(exports, "__esModule", {
    value: true
});
/**
 * 
 */
var warning = "不是最新的promise返回";
var withTiming = function withTiming(resourceFn) {
    var timing = 0;
    return function () {
        var promise = resourceFn.apply(undefined, arguments);
        timing += 1;
        var currentTiming = timing;
        return promise.then(function (res) {
            return currentTiming === timing ? res : Promise.reject({ warning: warning, res: res });
        }, function (res) {
            return Promise.reject(currentTiming === timing ? res : { warning: warning, res: res });
        });
    };
};
exports.default = withTiming;
//# sourceMappingURL=withTiming.js.map